/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#include "chatline.h"

ChatLine::ChatLine(QWidget *parent): QLineEdit(parent)/*{{{*/
{
}/*}}}*/

ChatLine::~ChatLine()/*{{{*/
{
}/*}}}*/

/*-----------------------------------------------------------------------------------------------------
 * 
 *                                            S L O T S
 *
 -----------------------------------------------------------------------------------------------------*/

void ChatLine::paste()/*{{{*/
{
	QLineEdit::paste();
}/*}}}*/

void ChatLine::sayNick(const QString &nick)/*{{{*/
{
	setText(nick + ": ");
}/*}}}*/

